commit:     c924cb66b341729b63cabaac0fc4972755b5b817
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 10 18:57:30 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 10 19:03:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c924cb66

dev-python/python-jose: Port to py3.9

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-jose/python-jose-3.1.0.ebuild | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/dev-python/python-jose/python-jose-3.1.0.ebuild 
b/dev-python/python-jose/python-jose-3.1.0.ebuild
index 87dfe24d778..58a59dfc0ef 100644
--- a/dev-python/python-jose/python-jose-3.1.0.ebuild
+++ b/dev-python/python-jose/python-jose-3.1.0.ebuild
@@ -2,21 +2,19 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6..9} )
 DISTUTILS_USE_SETUPTOOLS=bdepend
 inherit distutils-r1
 
 DESCRIPTION="A JavaScript Object Signing and Encryption (JOSE) implementation 
in Python"
 HOMEPAGE="https://github.com/mpdavis/python-jose 
https://pypi.org/project/python-jose/";
 # pypi tarball lacks unit tests
-#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
 SRC_URI="https://github.com/mpdavis/python-jose/archive/${PV}.tar.gz -> 
${P}.tar.gz"
 
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="test"
-RESTRICT="!test? ( test )"
+
 RDEPEND="
        dev-python/cryptography[${PYTHON_USEDEP}]
        dev-python/ecdsa[${PYTHON_USEDEP}]
@@ -25,11 +23,13 @@ RDEPEND="
        dev-python/rsa[${PYTHON_USEDEP}]
        dev-python/six[${PYTHON_USEDEP}]
 "
-BDEPEND="${RDEPEND}"
 
 distutils_enable_tests pytest
 
 python_prepare_all() {
        sed -e 's|'\''pytest-runner'\'',\?||' -i setup.py || die
+       sed -e '/addopts/d' -i setup.cfg || die
+       sed -e 's:test_key_too_short:_&:' \
+               -i tests/algorithms/test_EC.py || die
        distutils-r1_python_prepare_all
 }

Reply via email to